<%@page language="java" import="org.alltimeflashdreamer.mailwebform.*" %>
<%
	JSPBean bean = (JSPBean)session.getAttribute(MailWebFormConstants.JSPBEAN);
%>
<html>
	<head>
		<title><%= bean.getMainTitle() %></title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<link rel="stylesheet" type="text/css" href="mailwebform.css" />
		<script language="JavaScript">
			var clickedButtonName = "";
			
			function askForCommit() {
				if ( clickedButtonName != '<%= bean.PARAM_REMOVE %>' )
					return true;
				else {
					check = prompt( "Do you really want to remove the selected provider (y/n)?", "n" );
					if ( check == 'y' )
						return true;
					else
						return false;
				}
			}
			
			function setClickedButton( name ) {
				clickedButtonName = name;
			}
		</script>
	</head>
	
	<% if (bean.isNewlyCreatedAccount()) { %>
		<script language="JavaScript">
			alert("Welcome to <%= bean.APPNAME %>!\nYou created the admin account successfully.");
		</script>
	<% } %>
	
<jsp:include page="<%= bean.SITE_HEADER %>" flush="true" />
						<p><font class="TF">Admin Main Window</font></p>
						<p><font class="STF">please choose your action</font></p>
						<p><form action="adminservlet" method="post" onSubmit="return askForCommit();">
							<table border="0" cellpadding="0" cellspacing="4" width="60%">
								<tr valign="bottom">
									<td colspan="2" align="left">
										<font class="PF">list of registered providers:</font>
									</td>
								</tr>
								<tr valign="middle">
									<td align="left" width="80%">
										<font class="PF">
											<select name="<%= bean.PARAM_PROVIDER %>">
											<% for (int i = 0; i < bean.getProviderList().length; i++) { %>
												<option value="<%= bean.getProviderList()[i] %>"><%= bean.getProviderList()[i] %></option>
											<% } %>
											</select>
										</font>
									</td>
									<td align="right">
										<input type="submit" value="edit" name="<%= bean.PARAM_EDIT %>" onClick="setClickedButton( this.name );" />
									</td>
								</tr>
								<tr valign="middle">
									<td align="left">
										<font class="PF">add new provider:</font>
									</td>
									<td align="right">
										<input type="submit" value="add" name="<%= bean.PARAM_ADD %>" onClick="setClickedButton( this.name );" />
									</td>
								</tr>
								<tr valign="middle">
									<td align="left">
										<font class="PF">remove selected provider:</font>
									</td>
									<td align="right">
										<input type="submit" value="remove" name="<%= bean.PARAM_REMOVE %>" onClick="setClickedButton( this.name );" />
									</td>
								</tr>
								<tr valign="middle">
									<td align="left">
										<font class="PF">change password of selected provider:</font>
									</td>
									<td align="right">
										<input type="submit" value="change" name="<%= bean.PARAM_PASSWORD_PROVIDER %>" onClick="setClickedButton( this.name );" />
									</td>
								</tr>
								<tr valign="middle">
									<td align="left">
										<font class="PF">change admin credentials:</font>
									</td>
									<td align="right">
										<input type="submit" value="change" name="<%= bean.PARAM_CREDENTIALS_ADMIN %>" onClick="setClickedButton( this.name );" />
									</td>
								</tr>
								<tr valign="middle">
									<td colspan="2">
										&nbsp;
									</td>
								</tr>
								<tr valign="middle">
									<td align="left">
										<font class="PF">log out from the admin tool:</font>
									</td>
									<td align="right">
										<input type="submit" value="logout" name="<%= bean.PARAM_LOGOUT %>" onClick="setClickedButton( this.name );" />
									</td>
								</tr>
							</table>
						</form>
<jsp:include page="<%= bean.SITE_FOOTER %>" flush="true" />
</html>